Subject: [PATCH] pgbouncer: fix errors in pgbouncer.initd

From: Drew DeVault <[email-masked]>
Date: Mon, 20 Jul 2020 10:19:07 -0600

---
 community/pgbouncer/APKBUILD        | 4 ++--
 community/pgbouncer/pgbouncer.initd | 4 ++--
 2 files changed, 4 insertions(+), 4 deletions(-)

diff --git a/community/pgbouncer/APKBUILD b/community/pgbouncer/APKBUILD
index c170fe930e..1e9052d2ee 100644
--- a/community/pgbouncer/APKBUILD
+++ b/community/pgbouncer/APKBUILD
@@ -2,7 +2,7 @@
 # Maintainer: Francesco Colista <[email-masked]>
 pkgname=pgbouncer
 pkgver=1.14.0
-pkgrel=0
+pkgrel=1
 pkgdesc="A lightweight connection pooler for PostgreSQL"
 url="https://wiki.postgresql.org/wiki/PgBouncer"
 arch="all"
@@ -48,7 +48,7 @@ package() {
 }
 
 sha512sums="506810c9896a45d67fbc97c3027572278b3857635c222cfaa53b4f3893069cfbee2ec92facd6f387de217bb3170045410b88a7cea09a45686661a2d2ccc85271  pgbouncer-1.14.0.tar.gz
-a6dbfa477c2f0a405e4bf9ee0037165531802366565d0f192931ccd8a7cb3edf9e9b628655e4169592e9370cc71fb73d4424bfd3f20bb5a43eb26a52251e539d  pgbouncer.initd
+c3b9766eab63e9bf7b21fff7859e094d71530f7e235668f416e81f988cce229835659ea78c22a44859ab116d6fe57c45f4df8acba475ef50835b3bbe3c154a19  pgbouncer.initd
 808621351b0f5973427fa22f63128432b00ac20fd25af437e8148dad9e55185775aba612b6ecdd58e4a6f2450b8c7838fcace288845b9b3cd0236bbe168aa574  pgbouncer.confd
 83b869466b59c1b1d6e316a9368f725181128c1f5a7af230e3fa9c58ccda1bc097db182806c1c51a5121692791ec83d9eb0f5718fb3031f521bb537001153e2d  pgbouncer.logrotate
 f45170465fda5190257e3f4c10e22fe7df57657efc90bdd6a3f0727375a25143e07480ecd998995cec0ddb2ed2d472f996b21e4fe712681418215823b88d0fc3  pgbouncer-dirs.patch"
diff --git a/community/pgbouncer/pgbouncer.initd b/community/pgbouncer/pgbouncer.initd
index a44f6aeeb8..802737dea5 100644
--- a/community/pgbouncer/pgbouncer.initd
+++ b/community/pgbouncer/pgbouncer.initd
@@ -29,7 +29,7 @@ depend() {
 start_pre() {
 	local socket_dir=$(get_config unix_socket_dir)
 	if [ -n "$socket_dir" ]; then
-		checkpath -d -m 0755 -o postgres:postgres "$socket_dir" || return 1
+		checkpath -d -m 0775 -o postgres:postgres "$socket_dir" || return 1
 	fi
 
 	local logfile="$(get_config logfile)"
@@ -78,7 +78,7 @@ get_config() {
 	local name="$1"
 	local default="${2:-}"
 
-	if [ ! -f "$conffile" ]; then
+	if [ ! -f "$cfgfile" ]; then
 		printf '%s\n' "$default"
 		return 1
 	fi
-- 
2.27.0